package conf

//var ExampleFile = "http://localhost:22000/public/uploadxlsx/example.xlsx"
//
//var Baseurl = "http://localhost:22000"

var ExampleFile = "http://localhost:8092/public/uploadxlsx/example.xlsx"

var Baseurl = "http://localhost:8092"

//var ExampleFile = "http://localhost:8094/public/uploadxlsx/example.xlsx"
//
//var Baseurl = "http://localhost:8094"

type AppConf struct {
	DisablePathCorrection             bool
	EnablePathEscape                  bool
	FireMethodNotAllowed              bool
	DisableBodyConsumptionOnUnmarshal bool
	TimeFormat                        string
	Charset                           string
	Other                             Other
	PublicRute                        []string
}
type Other struct {
	IgnoreURLs []string
	JWTTimeout int64
	LogLevel   string
	Secret     string
}

var AppConfig AppConf = AppConf{
	DisablePathCorrection:             false,
	EnablePathEscape:                  false,
	FireMethodNotAllowed:              false,
	DisableBodyConsumptionOnUnmarshal: false,
	TimeFormat:                        "Mon, 01 Jan 2006 15:04:05 GMT",
	Charset:                           "UTF-8",
	Other: Other{
		IgnoreURLs: []string{"/", "/user/login", "/user/courts", "/admin/tabnames/download", "/user/getimg"}, //免token验证路径
		JWTTimeout: 72000,
		LogLevel:   "debug",
		Secret:     "lapp_wy123456",
	},
	PublicRute: []string{"/sysMenu", "/user/getuserinfo", "/user/pwd", "/user/avatar", "/user/profile", "/user/getimg", "/admin/tabnames/list", "/admin/stdeftab/selectarr", "/admin/stdeftab/selectall"}, //免权限检查路径
}
