package cors

import (
	"github.com/kataras/iris/context"
	"github.com/iris-contrib/middleware/cors"

)

func Mycors() context.Handler {
	crs := cors.New(cors.Options{
		AllowedOrigins: []string{"*"}, //允许通过的主机名称
		AllowedMethods: []string{"GET", "POST", "PUT", "DELETE","OPTIONS"},
		AllowedHeaders: []string{"*"},
		Debug:          true,
		AllowCredentials: true,
	})
	return crs
}
