package models

type CSurveysheetResultlst struct {
	Cid             int    `json:"cid" xorm:"not null pk comment('公司ID') INT(11)"`
	Cnr             int    `json:"cnr" xorm:"not null pk comment('小区编号') INT(11)"`
	Surveynr        int    `json:"surveynr" xorm:"not null pk comment('流水号') INT(11)"`
	Surveysheetid   string `json:"surveysheetid" xorm:"not null pk VARCHAR(40)"`
	Subjectid       string `json:"subjectid" xorm:"not null pk comment('问题ID') VARCHAR(20)"`
	Status          int    `json:"status" xorm:"not null comment('状态') INT(11)"`
	SelectedOptions string `json:"selected_options" xorm:"default NULL pk comment('用户选择项') VARCHAR(40)"`
	Optiontype      int    `json:"optiontype" xorm:"default NULL comment('选项类型') INT(11)"`
	Optioninput     string `json:"optioninput" xorm:"default 'NULL' comment('选项输入') VARCHAR(255)"`
	Assessmentvalue int    `json:"assessmentvalue" xorm:"default NULL comment('评估值') INT(11)"`
	Remark          string `json:"remark" xorm:"default 'NULL' comment('备注') VARCHAR(255)"`
	Createtime      string `json:"createtime" xorm:"default 'NULL' comment('创建时间') VARCHAR(40)"`
	Lastmodifytime  string `json:"lastmodifytime" xorm:"default 'NULL' comment('最近更新时间') VARCHAR(40)"`
	Lastmodifyby    string `json:"lastmodifyby" xorm:"default 'NULL' comment('修改人员') VARCHAR(40)"`
}
